#!/bin/bash

VAR=ANTLR
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version ANTLR/2.7.7-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ANTLR/2.7.7-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ANTLR/2.7.7-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ANTLR/2.7.7-intel-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=Autoconf
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autoconf/2.69-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autoconf/2.69" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autoconf/2.69-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autoconf/2.69-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.
echo "hide-version Autoconf/2.69-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Automake
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Automake/1.15-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Automake/1.15-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Automake/1.15" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Automake/1.15.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Automake/1.16.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Automake/1.16.1-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Autotools
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autotools/20150215-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autotools/20150215" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autotools/20150215-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autotools/20170619-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autotools/20180311-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Autotools/20180311-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Bison
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Bison/3.0.4-GCCcore-4.9.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Bison/3.0.4-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Bison/3.0.4-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Bison/3.0.4-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Bison/3.0.4" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Bison/2.7-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Bison/3.0.4-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Boost
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Boost/1.58.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Boost/1.63.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Boost/1.63.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=CDO
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version CDO/1.8.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=CMake
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version CMake/3.7.2-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version CMake/3.9.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version CMake/3.5.2-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version CMake/3.9.4-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version CMake/3.9.5-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version CMake/3.10.2-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version CMake/3.11.4-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version CMake/3.11.4-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Doxygen
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Doxygen/1.8.13-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Doxygen/1.8.13-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Doxygen/1.8.11-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Doxygen/1.8.14-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Doxygen/1.8.14-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=FFTW
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version FFTW/3.3.4-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version FFTW/3.3.4-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version FFTW/3.3.6-gompi-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version FFTW/3.3.8-gompi-2018b" >> /opt/modules/all/${VAR}/.modulerc

VAR=GCCcore
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version GCCcore/4.9.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GCCcore/6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GCCcore/6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GCCcore/7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=GLib
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version GLib/2.52.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GLib/2.52.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GLib/2.53.5-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GLib/2.54.3-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=GMP
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version GMP/6.1.2-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GMP/6.1.2-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=GSL
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version GSL/2.4-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GSL/2.3-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GSL/2.3-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc

VAR=ICU
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version ICU/59.1-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ICU/61.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ICU/59.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=JAGS
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version JAGS/4.2.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version JAGS/4.2.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=Java
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Java/1.8.0_121" >> /opt/modules/all/${VAR}/.modulerc

VAR=JasPer
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version JasPer/1.900.1-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version JasPer/1.900.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version JasPer/2.0.14-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version JasPer/1.900.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=LLVM
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version LLVM/4.0.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LLVM/4.0.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LLVM/5.0.0-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LLVM/5.0.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=LibTIFF
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version LibTIFF/4.0.7-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LibTIFF/4.0.7-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LibTIFF/4.0.9-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LibTIFF/4.0.9-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=LibUUID
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version LibUUID/1.0.3-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LibUUID/1.0.3-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LibUUID/1.0.3-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version LibUUID/1.0.3-intel-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=M4
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version M4/1.4.17" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version M4/1.4.18-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version M4/1.4.18-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version M4/1.4.18" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version M4/1.4.17-GCCcore-4.9.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version M4/1.4.17-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version M4/1.4.17-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version M4/1.4.18-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Mako
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Mako/1.0.6-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Mako/1.0.6-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Mako/1.0.7-foss-2017b-Python-2.7.14" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Mako/1.0.7-foss-2018a-Python-2.7.14" >> /opt/modules/all/${VAR}/.modulerc

VAR=Mesa
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Mesa/17.0.2-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Mesa/17.0.2-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Mesa/17.2.5-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Mesa/17.3.6-foss-2018a" >> /opt/modules/all/${VAR}/.modulerc

VAR=NASM
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version NASM/2.12.02-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version NASM/2.12.02-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version NASM/2.13.01-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version NASM/2.13.03-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=NCO
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version NCO/4.6.6-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=NLopt
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version NLopt/2.4.2-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version NLopt/2.4.2-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version NLopt/2.4.2-foss-2018a" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version NLopt/2.4.2-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=OpenBLAS
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version OpenBLAS/0.2.20-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version OpenBLAS/0.3.1-GCC-7.3.0-2.30" >> /opt/modules/all/${VAR}/.modulerc

VAR=OpenMPI
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version OpenMPI/2.1.1-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version OpenMPI/3.1.1-GCC-7.3.0-2.30" >> /opt/modules/all/${VAR}/.modulerc

VAR=OpenSSL
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version OpenSSL/1.1.0e-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=PROJ
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version PROJ/4.9.3-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=Python
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Python/2.7.14-GCCcore-6.4.0-bare" >> /opt/modules/all/${VAR}/.modulerc

VAR=Perl
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Perl/5.26.0-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Perl/5.24.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc

VAR=PCRE
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version PCRE/8.40-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version PCRE/8.40-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version PCRE/8.41-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Pygments
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Pygments/2.1.3-intel-2018-Python-2.7.13" >> /opt/modules/all/${VAR}/.modulerc

VAR=ScaLAPACK
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version ScaLAPACK/2.0.2-gompi-2017b-OpenBLAS-0.2.20" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ScaLAPACK/2.0.2-gompi-2014b-OpenBLAS-0.2.13-LAPACK-3.5.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ScaLAPACK/2.0.2-gompi-2018a-OpenBLAS-0.2.20" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ScaLAPACK/2.0.2-gompi-2018b-OpenBLAS-0.3.1" >> /opt/modules/all/${VAR}/.modulerc

VAR=Sphinx
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Sphinx/1.4.8-intel-2018-Python-2.7.13" >> /opt/modules/all/${VAR}/.modulerc

VAR=SWIG
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version SWIG/3.0.12-foss-2017b-Python-2.7.14" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SWIG/3.0.12-foss-2017b-Python-2.7.13" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SWIG/3.0.12-foss-2017b-Python-3.6.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SWIG/3.0.12-intel-2017.02-Python-3.6.1" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SWIG/3.0.12-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SWIG/3.0.12-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SWIG/3.0.12-intel-2018-Python-3.6.1" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SWIG/3.0.12-foss-2018a-Python-3.6.4" >> /opt/modules/all/${VAR}/.modulerc

VAR=Szip
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Szip/2.1-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Szip/2.1.1-GCCcore-6.4.0 " >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Szip/2.1-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Szip/2.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Szip/2.1.1-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=SQLite
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version SQLite/3.17.0-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SQLite/3.20.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version SQLite/3.21.0-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Tcl
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Tcl/8.6.7-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=Tk
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Tk/8.6.7-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=Tkinter
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Tkinter/2.7.14-foss-2017b-Python-2.7.14" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Tkinter/3.6.3-foss-2017b-Python-3.6.3" >> /opt/modules/all/${VAR}/.modulerc

VAR=ecCodes
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version ecCodes/2.8.2-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=Qt
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Qt/4.8.7-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc

VAR=Qt5
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Qt5/5.8.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version Qt5/5.8.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=QtWebkit
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version QtWebkit/5.8.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version QtWebkit/5.8.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=X11
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version X11/20170314-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version X11/20170805-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version X11/20171023-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version X11/20180131-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=XKeyboardConfig
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version XKeyboardConfig/2.17-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version XKeyboardConfig/2.17-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=XML-Parser
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version XML-Parser/2.44_01-intel-2017.02-Perl-5.24.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version XML-Parser/2.44_01-GCCcore-6.4.0-Perl-5.26.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version XML-Parser/2.44_01-GCCcore-6.4.0-Perl-5.26.1" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version XML-Parser/2.44_01-intel-2018-Perl-5.24.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=XZ
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version XZ/5.2.3-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version XZ/5.2.3-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version XZ/5.2.4-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=YAXT
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version YAXT/0.5.1-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version YAXT/0.5.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version YAXT/0.5.1-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version YAXT/0.5.1-intel-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=binutils
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.27-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.27" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.28-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.30-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.30" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.25-GCCcore-4.9.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.25" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version binutils/2.30-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=bzip2
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version bzip2/1.0.6-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version bzip2/1.0.6-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=cURL
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version cURL/7.53.1-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cURL/7.55.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cURL/7.58.0-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cURL/7.60.0-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cURL/7.49.1-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cURL/7.49.1-intel-2016.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cURL/7.56.0-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cURL/7.60.0-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=cairo
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version cairo/1.14.8-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cairo/1.14.8-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cairo/1.14.10-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version cairo/1.14.12-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=expat
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version expat/2.2.0-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version expat/2.2.4-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version expat/2.2.5-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version expat/2.2.0-GCCcore-4.9.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version expat/2.2.0-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version expat/2.2.5-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=flex
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.6.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.6.3-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.6.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.6.4-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.6.4" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.5.39-GCCcore-4.9.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.5.39" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.6.0-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version flex/2.6.4-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=fontconfig
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version fontconfig/2.12.1-GCCcore-6.3.0-libpng-1.6.29" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version fontconfig/2.12.4-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version fontconfig/2.12.6-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=freetype
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version freetype/2.7.1-GCCcore-6.3.0-libpng-1.6.29" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version freetype/2.8-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version freetype/2.9-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version freetype/2.9.1-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=g2clib
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version g2clib/1.6.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version g2clib/1.6.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version g2clib/1.6.0-patch-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version g2clib/1.6.0-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=g2lib
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version g2lib/1.4.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version g2lib/1.4.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version g2lib/1.4.0-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=gettext
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version gettext/0.19.8.1-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version gettext/0.19.8.1" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version gettext/0.19.8.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version gettext/0.19.8.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version gettext/0.19.8.1-GCCcore-6.4.0-libxml2-2.9.7" >> /opt/modules/all/${VAR}/.modulerc

VAR=gperf
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version gperf/3.0.4-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version gperf/3.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version gperf/3.0.4-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=help2man
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version help2man/1.47.4-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version help2man/1.47.4-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version help2man/1.47.4" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version help2man/1.47.4-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=hwloc
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version hwloc/1.11.7-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version hwloc/1.8.1-GCC-4.8.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version hwloc/1.9-GCC-4.8.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version hwloc/1.11.8-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version hwloc/1.11.10-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=icc
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version icc/2017.2.174-GCC-6.3.0-2.27" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version icc/2018.0.128-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version icc/2016.2.181-GCC-4.9.3-2.25" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version icc/2017.4.196-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc

VAR=iccifort
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version iccifort/2017.2.174-GCC-6.3.0-2.27" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version iccifort/2018.0.128-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version iccifort/2016.2.181-GCC-4.9.3-2.25" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version iccifort/2017.4.196-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc

VAR=ifort
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version ifort/2017.2.174-GCC-6.3.0-2.27" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ifort/2018.0.128-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ifort/2016.2.181-GCC-4.9.3-2.25" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ifort/2017.4.196-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc

VAR=iimpi
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version iimpi/2017.02-GCC-6.3.0-2.27" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version iimpi/2018-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version iimpi/2016.02-GCC-4.9.3-2.25" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version iimpi/2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=imkl
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version imkl/2017.2.174-iimpi-2017.02-GCC-6.3.0-2.27" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version imkl/2018.0.128-iimpi-2018-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version imkl/11.3.2.181-iimpi-2016.02-GCC-4.9.3-2.25" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version imkl/2017.3.196-iimpi-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=impi
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version impi/2017.2.174-iccifort-2017.2.174-GCC-6.3.0-2.27" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version impi/2018.0.128-iccifort-2018.0.128-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version impi/5.1.3.181-iccifort-2016.2.181-GCC-4.9.3-2.25" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version impi/2017.3.196-iccifort-2017.4.196-GCC-6.4.0-2.28" >> /opt/modules/all/${VAR}/.modulerc

VAR=inputproto
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version inputproto/2.3.2-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version inputproto/2.3.2-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=intltool
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version intltool/0.51.0-intel-2017.02-Perl-5.24.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version intltool/0.51.0-GCCcore-6.4.0-Perl-5.26.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version intltool/0.51.0-GCCcore-6.4.0-Perl-5.26.1" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version intltool/0.51.0-intel-2018-Perl-5.24.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=kbproto
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version kbproto/1.0.7-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version kbproto/1.0.7-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libGLU
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libGLU/9.0.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libGLU/9.0.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libGLU/9.0.0-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libGLU/9.0.0-foss-2018a" >> /opt/modules/all/${VAR}/.modulerc

VAR=libX11
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libX11/1.6.3-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libX11/1.6.3-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libXau
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libXau/1.0.8-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libXau/1.0.8-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libXdmcp
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libXdmcp/1.1.2-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libXdmcp/1.1.2-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libdap
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdap/3.18.1-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdap/3.18.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdap/3.19.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdap/3.19.1-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdap/3.19.1-intel-2017b" >> /opt/modules/all/${VAR}/.modulerc

VAR=libdrm
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdrm/2.4.76-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdrm/2.4.76-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdrm/2.4.88-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libdrm/2.4.91-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libffi
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libffi/3.2.1-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libffi/3.2.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libgeotiff
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libgeotiff/1.4.2-foss-2018a" >> /opt/modules/all/${VAR}/.modulerc

VAR=libiconv
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libiconv/1.15-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libiconv/1.15-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libiconv/1.15-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libjpeg-turbo
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libjpeg-turbo/1.5.1-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libjpeg-turbo/1.5.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libjpeg-turbo/1.5.2-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libjpeg-turbo/1.5.3-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libgd
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libgd/2.2.4-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libpng
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libpng/1.6.29-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libpng/1.6.32-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libpng/1.6.34-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libpthread-stubs
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libpthread-stubs/0.3-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libpthread-stubs/0.3-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libreadline
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libreadline/7.0-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libreadline/7.0-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libsndfile
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libsndfile/1.0.28-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libsndfile/1.0.28-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libsndfile/1.0.28-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libpciaccess
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libpciaccess/0.14-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libtool
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libtool/2.4.6-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libtool/2.4.6-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libtool/2.4.6-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libtool/2.4.6" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libtool/2.4.6-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libwebp
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libwebp/0.6.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libwebp/0.6.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libxcb
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxcb/1.11.1-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxcb/1.11.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libxkbcommon
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxkbcommon/0.6.1-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxkbcommon/0.6.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=libxml2
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxml2/2.9.4-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxml2/2.9.4-intel-2017.02-Python-3.6.1" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxml2/2.9.4-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxml2/2.9.4-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxml2/2.9.4-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxml2/2.9.4-intel-2018-Python-3.6.1" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxml2/2.9.7-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxml2/2.9.8-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=libxslt
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxslt/1.1.29-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version libxslt/1.1.29-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=makedepend
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version makedepend/1.0.5-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version makedepend/1.0.5-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version makedepend/1.0.5-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=ncurses
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version ncurses/6.0-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ncurses/6.0-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ncurses/6.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ncurses/6.0-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ncurses/6.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version ncurses/6.1-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=nettle
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version nettle/3.3-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version nettle/3.3-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version nettle/3.3-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version nettle/3.4-foss-2018a" >> /opt/modules/all/${VAR}/.modulerc

VAR=numactl
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version numactl/2.0.11-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version numactl/2.0.9-GCC-4.8.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version numactl/2.0.11-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=openjpeg
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version openjpeg/1.5.2-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version openjpeg/2.2.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version openjpeg/2.3.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=pixman
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version pixman/0.34.0-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version pixman/0.34.0-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=pkg-config
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version pkg-config/0.29.1-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version pkg-config/0.29.2-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version pkg-config/0.29.2-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=protobuf
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version protobuf/3.4.0-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version protobuf/3.4.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=rstudio
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version rstudio/1.1.366-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc

VAR=requests
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version requests/2.13.0-intel-2018-Python-2.7.13" >> /opt/modules/all/${VAR}/.modulerc

VAR=util-linux
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version util-linux/2.29.2-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version util-linux/2.29.2-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version util-linux/2.31-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version util-linux/2.31.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=xcb-proto
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version xcb-proto/1.11-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xcb-proto/1.11" >> /opt/modules/all/${VAR}/.modulerc

VAR=xextproto
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version xextproto/7.3.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xextproto/7.3.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=xorg-macros
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version xorg-macros/1.19.0-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xorg-macros/1.19.1-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xorg-macros/1.19.0-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xorg-macros/1.19.1-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xorg-macros/1.19.2-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=xproto
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version xproto/7.0.28-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xproto/7.0.31-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xproto/7.0.28-intel-2018" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xproto/7.0.31-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=xtrans
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version xtrans/1.3.5-intel-2017.02" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version xtrans/1.3.5-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=zlib
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version zlib/1.2.8" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version zlib/1.2.11-GCCcore-6.3.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version zlib/1.2.11-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version zlib/1.2.11" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version zlib/1.2.8-GCCcore-4.9.3" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version zlib/1.2.8-intel-2016.02-GCC-4.9" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version zlib/1.2.11-GCCcore-7.3.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=ATK
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version ATK/2.28.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=FriBidi
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version FriBidi/1.0.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=GObject-Introspection
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version GObject-Introspection/1.54.1-intel-2018-Python-2.7.13" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version GObject-Introspection/1.52.0-intel-2018-Python-2.7.13" >> /opt/modules/all/${VAR}/.modulerc

VAR=GST-plugins-base
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version GST-plugins-base/0.10.36-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=GStreamer
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version GStreamer/0.10.36-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR="GTK+"
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version GTK+/2.24.32-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=Gdk-Pixbuf
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Gdk-Pixbuf/2.36.11-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=HarfBuzz
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version HarfBuzz/1.7.5-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=Pango
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Pango/1.41.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=PyCairo
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version PyCairo/1.16.2-intel-2018-Python-2.7.13" >> /opt/modules/all/${VAR}/.modulerc

VAR=PyGObject
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version PyGObject/2.28.6-intel-2018-Python-2.7.13" >> /opt/modules/all/${VAR}/.modulerc

VAR=libglade
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version libglade/2.6.4-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=Imlib2
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version Imlib2/1.5.1-intel-2018" >> /opt/modules/all/${VAR}/.modulerc

VAR=snappy
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version snappy/1.1.7-foss-2017b" >> /opt/modules/all/${VAR}/.modulerc
echo "hide-version snappy/1.1.7-GCCcore-6.4.0" >> /opt/modules/all/${VAR}/.modulerc

VAR=gompi
echo "#%Module" > /opt/modules/all/${VAR}/.modulerc
echo "hide-version gompi/2018b" >> /opt/modules/all/${VAR}/.modulerc